Index: /trunk/src/uvmat.m
===================================================================
--- /trunk/src/uvmat.m	(revision 353)
+++ /trunk/src/uvmat.m	(revision 354)
@@ -391,6 +391,7 @@
 % search the files, recognize their type according to their name and fill the rootfile input windows
 function MenuBrowse_Callback(hObject, eventdata, handles)
-oldfile=read_file_boxes(handles);
-
+[RootPath,SubDir,RootFile,FileIndices,FileExt]=read_file_boxes(handles);
+oldfile=[fullfile(RootPath,SubDir,RootFile) FileIndices FileExt];
+% oldfile=read_file_box,es(handles);
 if isempty(oldfile)||isequal(oldfile,'') %loads the previously stored file name and set it as default in the file_input box
          dir_perso=prefdir;
@@ -466,5 +467,5 @@
 %------------------------------------------------------------------------ 
 % --- Fills the edit boxes RootPath, RootFile,NomType...from an input file name 'fileinput'
-function display_file_name(hObject, eventdata, handles,fileinput)
+function display_file_name(hObject, eventdata, handles,fileinput,index)
 %------------------------------------------------------------------------
 %% analyse the input file
@@ -473,15 +474,48 @@
     return
 end
+
+%% have a unique function for fileinput (index=1) and fileinput_1 (index=2)
+if ~exist('index','var')
+    index=1;
+end
+if index==1
+    handles_RootPath=handles.RootPath;
+    handles_SubDir=handles.SubDir;
+    handles_RootFile=handles.RootFile;
+    handles_FileIndex=handles.FileIndex;
+    handles_NomType=handles.NomType;
+    handles_FileExt=handles.FileExt;
+    handles_Fields=handles.Fields;
+elseif index==2
+    handles_RootPath=handles.RootPath_1;
+    handles_SubDir=handles.SubDir_1;
+    handles_RootFile=handles.RootFile_1;
+    handles_FileIndex=handles.FileIndex_1;
+    handles_NomType=handles.NomType_1;
+    handles_FileExt=handles.FileExt_1;
+    handles_Fields=handles.Fields_1;
+    set(handles.RootPath_1,'Visible','on')
+    set(handles.RootFile_1,'Visible','on')
+    set(handles.SubDir_1,'Visible','on');
+    set(handles.FileIndex_1,'Visible','on');
+    set(handles.FileExt_1,'Visible','on');
+    set(handles.NomType_1,'Visible','on');
+end
 % detect root name, nomenclature and indices in the input file name:
-[ff,SubDir,ii,i1,i2,j1,j2,FileExt]=fileparts_uvmat(fileinput);
+[tild,SubDir,tild,i1,i2,j1,j2,FileExt]=fileparts_uvmat(fileinput);
 % detect the file type, get the movie object if relevant, and look for the corresponding file series:
-% [i1_series,i2_series,j1_series,j2_series,NomType,FileType,MovieObject]=find_file_series(fileinput);
 [RootPath,RootFile,i1_series,i2_series,j1_series,j2_series,NomType,FileType,MovieObject]=find_file_series(fileinput);
+if strcmp(NomType,'*')% movies will be opened at the first frame
+    i1=1;
+    i2=[];
+    j1=[];
+    j2=[];
+end  
 % open the file or fill the GUI uvmat according to the detected file type
 switch FileType
     case ''
-       msgbox_uvmat('ERROR','invalid input file type')
+        msgbox_uvmat('ERROR','invalid input file type')
     case 'txt'
-        edit(fileinput)  
+        edit(fileinput)
     case 'figure'                           %display matlab figure
         hfig=open(fileinput);
@@ -490,46 +524,45 @@
         set(hfig,'WindowButtonUpFcn','mouse_down')%set mouse click action function
     case {'xml','xls'}                % edit xml or Excel files
-       editxml(fileinput);
+        editxml(fileinput);
     otherwise
-        set(handles.RootPath,'String',RootPath);
-        if  isequal(SubDir,'')
-            rootname=fullfile(RootPath,RootFile);
-        else
-            rootname=fullfile(RootPath,SubDir,RootFile);
-            SubDir=['/' SubDir]; %display the separator
-        end
-        set(handles.SubDir,'String',SubDir);
-        set(handles.RootFile,'String',['/' RootFile]); %display the separator
+        set(handles_RootPath,'String',RootPath);
+        rootname=fullfile(RootPath,SubDir,RootFile);
+        set(handles_SubDir,'String',['/' SubDir]);
+        set(handles_RootFile,'String',['/' RootFile]); %display the separator
         indices=fileinput(length(rootname)+1:end);
         indices(end-length(FileExt)+1:end)=[]; %remove extension
-        set(handles.FileIndex,'String',indices);        
-%         set(handles.FileIndex,'UserData',NomType);
-        set(handles.NomType,'String',NomType);
-        set(handles.FileExt,'String',FileExt);
-        % fill file index counters
-        set(handles.i1,'String',num2str(i1));    
-        set(handles.i2,'String',num2str(i2));
-        set(handles.j1,'String',num2stra(j1,NomType));
-        set(handles.j2,'String',num2stra(j2,NomType));
-        
+        set(handles_FileIndex,'String',indices);
+        set(handles_NomType,'String',NomType);
+        set(handles_FileExt,'String',FileExt);
+        if index==1
+            % fill file index counters
+            set(handles.i1,'String',num2str(i1));
+            set(handles.i2,'String',num2str(i2));
+            set(handles.j1,'String',num2stra(j1,NomType));
+            set(handles.j2,'String',num2stra(j2,NomType));
+        else %read the current field index
+            i1=str2num(get(handles.i1,'String'));
+            i2=str2num(get(handles.i2,'String'));
+            j1=stra2num(get(handles.j1,'String'));
+            j2=stra2num(get(handles.j2,'String'));
+        end
         % synchronise indices of the second  input file if it exists
         if get(handles.SubField,'Value')==1% if the subfield button is activated, update the field numbers
+            %             if index==1
             Input=read_GUI(handles.InputFile);
-            if ~isfield(Input,'RootPath_1')
+            if ~isfield(Input,'RootPath_1')||strcmp(Input.RootPath_1,'"')
                 Input.RootPath_1=Input.RootPath;
             end
-            if ~isfield(Input,'SubDir_1')
+            if ~isfield(Input,'SubDir_1')||strcmp(Input.SubDir_1,'"')
                 Input.SubDir_1=Input.SubDir;
             end
-            if ~isfield(Input,'RootFile_1')
-                Input.SubDir_1=Input.RootFile;
+            if ~isfield(Input,'RootFile_1')||strcmp(Input.RootFile_1,'"')
+                Input.RootFile_1=Input.RootFile;
             end
-%             [ff,rr,FileBase_1,ii,FileExt_1,SubDir_1]=read_file_boxes_1(handles);
-%             NomType_1=get(handles.NomType_1,'String'); 
-%             NomType_1=get(handles.FileIndex_1,'UserData');     
-           % FileName_1=name_generator(FileBase_1,i1,i2,FileExt_1,NomType_1,1,j1,j2,SubDir_1);
+            %updtate the indices of the second field series to correspond to the newly opened one
             FileName_1=fullfile_uvmat(Input.RootPath_1,Input.SubDir_1,Input.RootFile_1,Input.FileExt_1,Input.NomType_1,i1,i2,j1,j2);
             if exist(FileName_1,'file')
-                FileIndex_1=name_generator('',i1,i2,'',NomType_1,1,j1,j2,'');
+                FileIndex_1=fullfile_uvmat('','','','',Input.NomType_1,i1,i2,j1,j2);
+                %FileIndex_1=name_generator('',i1,i2,'',NomType_1,1,j1,j2,'');
                 set(handles.FileIndex_1,'String',FileIndex_1)
             else
@@ -537,6 +570,6 @@
                 SubField_Callback(hObject, eventdata, handles)
             end
-        end  
-
+        end
+        
         %enable other menus
         set(handles.MenuOpen_1,'Enable','on')
@@ -555,6 +588,8 @@
         set(handles.frame_object,'Visible','on')
         
-         % initiate input file series and refresh the current field view: 
-        update_rootinfo(handles,i1_series,i2_series,j1_series,j2_series,FileType,MovieObject);  
+        % initiate input file series and refresh the current field view:
+       
+        update_rootinfo(handles,i1_series,i2_series,j1_series,j2_series,FileType,MovieObject,index);
+
 end
 
@@ -564,5 +599,7 @@
 %------------------------------------------------------------------------
 % read the current input file name:
-fileinput=read_file_boxes(handles);
+[RootPath,SubDir,RootFile,FileIndices,FileExt]=read_file_boxes(handles);
+fileinput=[fullfile(RootPath,SubDir,RootFile) FileIndices FileExt];
+% fileinput=read_file_boxes(handles);
 % detect the file type, get the movie object if relevant, and look for the corresponding file series:
 [RootPath,RootFile,i1_series,i2_series,j1_series,j2_series,tild,FileType,MovieObject]=find_file_series(fileinput);
@@ -601,7 +638,20 @@
 % --- Update information about a new field series (indices to scan, timing,
 %     calibration from an xml file, then refresh current plots
-function update_rootinfo(handles,i1_series,i2_series,j1_series,j2_series,FileType,MovieObject)
-%------------------------------------------------------------------------
-set(handles.RootPath,'BackgroundColor',[1 1 0])
+function update_rootinfo(handles,i1_series,i2_series,j1_series,j2_series,FileType,MovieObject,index)
+%------------------------------------------------------------------------
+%% TODO: have a unique function for update_rootinfo and update_rootinfo_1
+if ~exist('index','var')
+    index=1;
+end
+if index==1
+    handles_RootPath=handles.RootPath;
+    handles_Fields=handles.Fields;
+elseif index==2
+    handles_RootPath=handles.RootPath_1;
+    handles_Fields=handles.Fields_1;
+    %..........................
+end
+
+set(handles_RootPath,'BackgroundColor',[1 1 0])
 drawnow
 set(handles.Fields,'UserData',[])% reinialize data from uvmat opening
@@ -609,13 +659,19 @@
 UvData.NewSeries=1; %flag for run0: begin a new series
 UvData.TestInputFile=1;
-UvData.FileType=FileType;
-UvData.i1_series=i1_series;
-UvData.i2_series=i2_series;
-UvData.j1_series=j1_series;
-UvData.j2_series=j2_series;
+UvData.FileType{index}=FileType;
+UvData.i1_series{index}=i1_series;
+UvData.i2_series{index}=i2_series;
+UvData.j1_series{index}=j1_series;
+UvData.j2_series{index}=j2_series;
 set(handles.fix_pair,'Value',1) % activate by default the comp_input '-'input window
 set(handles.FixVelType,'Value',0); %desactivate fixed veltype
-[FileName,RootPath,FileBase,FileIndices,FileExt,SubDir]=read_file_boxes(handles);
-
+%[FileName,RootPath,FileBase,FileIndices,FileExt,SubDir]=read_file_boxes(handles);
+if index==1
+[RootPath,SubDir,RootFile,FileIndices,FileExt]=read_file_boxes(handles);
+else
+    [RootPath,SubDir,RootFile,FileIndices,FileExt]=read_file_boxes_1(handles);
+end
+FileName=[fullfile(RootPath,SubDir,RootFile) FileIndices FileExt];
+FileBase=fullfile(RootPath,RootFile);
 if ~exist(FileName,'file')
    msgbox_uvmat('ERROR',['input file ' FileName ' not found']);
@@ -635,5 +691,5 @@
 if isequal(lower(FileExt),'.avi') %.avi file
     testima=1;
-    imainfo=aviinfo([FileBase FileIndices FileExt]);
+    imainfo=aviinfo([FileName]);
     nbfield=imainfo.NumFrames;
     nbfield_j=1;
@@ -658,7 +714,7 @@
 end
 if ~strcmp(hhh,'')% if the function mmreader is found (recent version of matlab)
-    UvData.MovieObject=mmreader([FileBase FileIndices FileExt]);
-elseif isfield(UvData,'MovieObject')
-    UvData=rmfield(UvData,'MovieObject');
+    UvData.MovieObject{index}=mmreader([FileBase FileIndices FileExt]);
+else
+    UvData.MovieObject{index}=[];
 end
 if isfield(imainfo,'Width') && isfield(imainfo,'Height')
@@ -700,5 +756,4 @@
     drawnow
     if isfield(XmlData, 'GeometryCalib') && ~isempty(XmlData.GeometryCalib)
-        XmlData.GeometryCalib
         if isfield(XmlData.GeometryCalib,'VolumeScan') && isequal(XmlData.GeometryCalib.VolumeScan,'y')
             set (handles.nb_slice,'String','volume')
@@ -829,5 +884,5 @@
 UvData.XmlData=XmlData;
 UvData.NewSeries=1;
-UvData.MovieObject=MovieObject;
+% UvData.MovieObject=MovieObject;
 
 %display warning message
@@ -840,6 +895,6 @@
     testcivx=0;
     if isfield(UvData,'FieldsString') && isequal(UvData.FieldsString,{'get_field...'})% field menu defined as input (from get_field)
-        set(handles.Fields,'Value',1)
-        set(handles.Fields,'String',{'get_field...'})
+        set(handles_Fields,'Value',1)
+        set(handles_Fields,'String',{'get_field...'})
         UvData=rmfield(UvData,'FieldsString');
     else
@@ -847,6 +902,6 @@
         if strcmp(Data.Conventions,'uvmat/civdata') ||( ~isempty(Data.absolut_time_T0)&& ~isequal(Data.civ,0))%if the new input is Civx
             FieldList=calc_field;
-            set(handles.Fields,'String',[{'image'};FieldList;{'get_field...'}]);%standard menu for civx data
-            set(handles.Fields,'Value',2) % set menu to 'velocity'
+            set(handles_Fields,'String',[{'image'};FieldList;{'get_field...'}]);%standard menu for civx data
+            set(handles_Fields,'Value',2) % set menu to 'velocity'
             col_vec=FieldList;
             col_vec(1)=[];%remove 'velocity' option for vector color (must be a scalar)
@@ -854,6 +909,6 @@
         end
         if ~testcivx
-            set(handles.Fields,'Value',1) % set menu to 'get_field...
-            set(handles.Fields,'String',{'get_field...'})
+            set(handles_Fields,'Value',1) % set menu to 'get_field...
+            set(handles_Fields,'String',{'get_field...'})
             col_vec={'get_field...'};
         end
@@ -981,5 +1036,6 @@
 
 % refresh the current displayed field
-display_file_name_1(hObject,eventdata,handles,fileinput_1)
+set(handles.SubField,'Value',1)
+display_file_name(hObject,eventdata,handles,fileinput_1,2)
 
 %update list of recent files in the menubar
@@ -1019,5 +1075,6 @@
 % -----------------------------------------------------------------------
 fileinput_1=get(handles.MenuFile_1_1,'Label');
-display_file_name_1(hObject,eventdata,handles,fileinput_1)
+set(handles.SubField,'Value',1)
+display_file_name(hObject,eventdata,handles,fileinput_1,2)
 
 % -----------------------------------------------------------------------
@@ -1026,5 +1083,6 @@
 % -----------------------------------------------------------------------
 fileinput_1=get(handles.MenuFile_2_1,'Label');
-display_file_name_1(hObject,eventdata,handles,fileinput_1)
+set(handles.SubField,'Value',1)
+display_file_name(hObject,eventdata,handles,fileinput_1,2)
 
 % -----------------------------------------------------------------------
@@ -1033,5 +1091,6 @@
 % -----------------------------------------------------------------------
 fileinput_1=get(handles.MenuFile_3_1,'Label');
-display_file_name_1(hObject,eventdata,handles,fileinput_1)
+set(handles.SubField,'Value',1)
+display_file_name(hObject,eventdata,handles,fileinput_1,2)
 
 % -----------------------------------------------------------------------
@@ -1040,5 +1099,6 @@
 % -----------------------------------------------------------------------
 fileinput_1=get(handles.MenuFile_4_1,'Label');
-display_file_name_1(hObject,eventdata,handles,fileinput_1)
+set(handles.SubField,'Value',1)
+display_file_name(hObject,eventdata,handles,fileinput_1,2)
 
 % -----------------------------------------------------------------------
@@ -1047,166 +1107,138 @@
 % -----------------------------------------------------------------------
 fileinput_1=get(handles.MenuFile_5_1,'Label');
-display_file_name_1(hObject,eventdata,handles,fileinput_1)
-
-%------------------------------------------------------------------------
-% fills the edit boxes RootPath_1, RootFile_1,NomType_1...from an input file name 'fileinput_1'
-%------------------------------------------------------------------------
-function display_file_name_1(hObject,eventdata,handles,fileinput_1)
-
-%[path,name,ext]=fileparts(fileinput_1);
-[tild,SubDir_1,tild,i1,i2,j1,j2,FileExt_1]=fileparts_uvmat(fileinput_1);
-[RootPath_1,RootFile_1,i1_series,i2_series,j1_series,j2_series,NomType,FileType,MovieObject]=find_file_series(fileinput_1);
-% [RootPath_1,RootFile_1,field_count,str2,str_a,str_b,FileExt_1,NomType_1,SubDir_1]=name2display(fileinput_1);
-switch FileType
-    case ''
-       msgbox_uvmat('ERROR','invalid input file type')
-    case 'txt'
-        edit(fileinput)  
-    case 'figure'                           %display matlab figure
-        hfig=open(fileinput);
-        set(hfig,'WindowButtonMotionFcn','mouse_motion')%set mouse action functio
-        set(hfig,'WindowButtonUpFcn','mouse_up')%set mouse click action function
-        set(hfig,'WindowButtonUpFcn','mouse_down')%set mouse click action function
-    case {'xml','xls'}                % edit xml or Excel files
-       editxml(fileinput);
-%     case {'.avi','.image','.vol','.nc','.cdf'}  
-    otherwise
-        set(handles.RootPath,'String',RootPath);
-        if  isequal(SubDir,'')
-            rootname=fullfile(RootPath,RootFile);
-        else
-            rootname=fullfile(RootPath,SubDir,RootFile);
-            SubDir=['/' SubDir]; %display the separator
-        end
-        set(handles.SubDir,'String',SubDir);
-        set(handles.RootFile,'String',['/' RootFile]); %display the separator
-        indices=fileinput(length(rootname)+1:end);
-        indices(end-length(FileExt)+1:end)=[]; %remove extension
-        set(handles.FileIndex,'String',indices);        
-%         set(handles.FileIndex,'UserData',NomType);
-        set(handles.NomType,'String',NomType);
-        set(handles.FileExt,'String',FileExt);
-        % fill file index counters
-        set(handles.i1,'String',num2str(i1));    
-        set(handles.i2,'String',num2str(i2));
-        set(handles.j1,'String',num2str(j1));
-        set(handles.j2,'String',num2str(j2));
-        
-        % synchronise indices of the second  input file if it exists
-        if get(handles.SubField,'Value')==1% if the subfield button is activated, update the field numbers
-            [ff,rr,FileBase_1,ii,FileExt_1,SubDir_1]=read_file_boxes_1(handles);
-            NomType_1=get(handles.NomType_1,'String'); 
-%             NomType_1=get(handles.FileIndex_1,'UserData');     
-            FileName_1=name_generator(FileBase_1,i1,i2,FileExt_1,NomType_1,1,j1,j2,SubDir_1);
-            if exist(FileName_1,'file')
-                FileIndex_1=name_generator('',i1,i2,'',NomType_1,1,j1,j2,'');
-                set(handles.FileIndex_1,'String',FileIndex_1)
-            else
-                set(handles.SubField,'Value',0)
-                SubField_Callback(hObject, eventdata, handles)
-            end
-        end  
-end
+set(handles.SubField,'Value',1)
+display_file_name(hObject,eventdata,handles,fileinput_1,2)
+
+%------------------------------------------------------------------------
+% NOT USED  fills the edit boxes RootPath_1, RootFile_1,NomType_1...from an input file name 'fileinput_1'
+%------------------------------------------------------------------------
+% function display_file_name_1(hObject,eventdata,handles,fileinput_1)
 % 
-% 
-% nbfield_1=1; %default
-% ext_test=FileExt_1;%default
-% form=imformats(FileExt_1(2:end));
-% if ~isempty(form) % if the extension corresponds to an image format recognized by Matlab
-%     imainfo=imfinfo(fileinput_1);  
-%     nbfield_1=length(imainfo);
-%     ext_test='.image';
-% elseif isequal(lower(FileExt_1),'.avi')
-%     info=aviinfo(fileinput_1);
-%     nbfield_1=info.NumFrames;
-%     ext_test='.image';
-% end
-% 
-% %open directly fig or text files 
-% switch ext_test
-%     case {'.civ','.log','.cmx','.cmx2','.txt'}  %display text file
+% %[path,name,ext]=fileparts(fileinput_1);
+% [tild,SubDir_1,tild,i1,i2,j1,j2,FileExt_1]=fileparts_uvmat(fileinput_1);
+% [RootPath_1,RootFile_1,i1_series,i2_series,j1_series,j2_series,NomType,FileType,MovieObject]=find_file_series(fileinput_1);
+% % [RootPath_1,RootFile_1,field_count,str2,str_a,str_b,FileExt_1,NomType_1,SubDir_1]=name2display(fileinput_1);
+% switch FileType
+%     case ''
+%        msgbox_uvmat('ERROR','invalid input file type')
+%     case 'txt'
 %         edit(fileinput)  
-%         return
-%     case '.fig'                           %display matlab figure
-%         hfig=open(fileinput);
+%     case 'figure'                           %display matlab figure
+%         hfig=open(fileinput_1);
 %         set(hfig,'WindowButtonMotionFcn','mouse_motion')%set mouse action functio
 %         set(hfig,'WindowButtonUpFcn','mouse_up')%set mouse click action function
 %         set(hfig,'WindowButtonUpFcn','mouse_down')%set mouse click action function
+%     case {'xml','xls'}                % edit xml or Excel files
+%        editxml(fileinput_1);
+% %     case {'.avi','.image','.vol','.nc','.cdf'}  
+%     otherwise
+%         set(handles.RootPath_1,'String',RootPath_1);
+%         if  isequal(SubDir_1,'')
+%             rootname=fullfile(RootPath_1,RootFile_1);
+%         else
+%             rootname=fullfile(RootPath_1,SubDir_1,RootFile_1);
+%             SubDir=['/' SubDir_1]; %display the separator
+%         end
+%         set(handles.SubDir_1,'String',SubDir_1);
+%         set(handles.RootFile_1,'String',['/' RootFile_1]); %display the separator
+%         indices=fileinput_1(length(rootname)+1:end);
+%         indices(end-length(FileExt_1)+1:end)=[]; %remove extension
+%         set(handles.FileIndex,'String',indices);        
+% %         set(handles.FileIndex,'UserData',NomType);
+%         set(handles.NomType_1,'String',NomType);
+%         set(handles.FileExt_1,'String',FileExt_1);
+%         % fill file index counters
+%         set(handles.i1,'String',num2str(i1));    
+%         set(handles.i2,'String',num2str(i2));
+%         set(handles.j1,'String',num2str(j1));
+%         set(handles.j2,'String',num2str(j2));
+%         
+%         % synchronise indices of the second  input file if it exists
+%         if get(handles.SubField,'Value')==1% if the subfield button is activated, update the field numbers
+%             [RootPath_1,SubDir_1,RootFile_1,FileIndices_1,FileExt_1]=read_file_boxes_1(handles);
+%             %[ff,rr,FileBase_1,ii,FileExt_1,SubDir_1]=read_file_boxes_1(handles);
+%             NomType_1=get(handles.NomType_1,'String'); 
+% %             NomType_1=get(handles.FileIndex_1,'UserData');     
+%             %FileName_1=name_generator(FileBase_1,i1,i2,FileExt_1,NomType_1,1,j1,j2,SubDir_1);
+%             FileName_1=fullfile_uvmat(RootPath_1,SubDir_1,RootFile_1,FileExt_1,NomType_1,i1,i2,j1,j2);
+%             if exist(FileName_1,'file')
+%                 FileIndex_1=fullfile_uvmat('','','','',NomType_1,i1,i2,j1,j2);
+%                 %FileIndex_1=name_generator('',i1,i2,'',NomType_1,1,j1,j2,'');
+%                 set(handles.FileIndex_1,'String',FileIndex_1)
+%             else
+%                 set(handles.SubField,'Value',0)
+%                 SubField_Callback(hObject, eventdata, handles)
+%             end
+%         end  
+% end
+% 
+% % test for image series in a single file and synchronise file indices of the two series
+% if nbfield_1 >1 %case of image with multiple frames
+%     if nbfield_1 < num_i1
+%         msgbox_uvmat('ERROR','current frame index beyond the input movie length')
 %         return
-%     case {'.xml','.xls'}                % edit xml or Excel files
-%        heditxml=editxml(fileinput);
-%        return
-%     case {'.image','.nc','.cdf'}       
-% %         set(handles.FileIndex,'UserData',NomType_1);
-%     otherwise
-%         msgbox_uvmat(['invalid input file extension ' FileExt_1 ' for uvmat'],'ERROR')
-%         return
+%     else
+%         NomType_1='*'; %indicate a set of indexed frames within a single file
+%         filename_new=fileinput_1;
+%     end
+% else  % cases of data files   
+%     RootPath=get(handles.RootPath,'String');
+%     RootFile=get(handles.RootFile,'String');
+%     FileBase=fullfile(RootPath,RootFile);
+%     FileBase_1=fullfile(RootPath_1,RootFile_1);
+%     if isequal(FileBase,FileBase_1)
+%         filename_new=fileinput_1;
+%     else        
+%         num_i1=stra2num(get(handles.i1,'String'));%get the current file indices from counters
+%         num_j1=stra2num(get(handles.j1,'String'));
+%         num_i2=stra2num(get(handles.i2,'String'));
+%         num_j2=stra2num(get(handles.j2,'String'));
+%         [filename_new,idetect]=...
+%            name_generator(FileBase_1,num_i1,num_j1,FileExt_1,NomType_1,1,num_i2,num_j2,SubDir_1);%create name with indices synchronised with the first file
+%         indices=''; %default
+%         if ~idetect
+%             msgbox_uvmat('ERROR','second input file with indices corresponding to the first one does not exist')
+%             return
+%         end 
+%     end
 % end
-
-% test for image series in a single file and synchronise file indices of the two series
-if nbfield_1 >1 %case of image with multiple frames
-    if nbfield_1 < num_i1
-        msgbox_uvmat('ERROR','current frame index beyond the input movie length')
-        return
-    else
-        NomType_1='*'; %indicate a set of indexed frames within a single file
-        filename_new=fileinput_1;
-    end
-else  % cases of data files   
-    RootPath=get(handles.RootPath,'String');
-    RootFile=get(handles.RootFile,'String');
-    FileBase=fullfile(RootPath,RootFile);
-    FileBase_1=fullfile(RootPath_1,RootFile_1);
-    if isequal(FileBase,FileBase_1)
-        filename_new=fileinput_1;
-    else        
-        num_i1=stra2num(get(handles.i1,'String'));%get the current file indices from counters
-        num_j1=stra2num(get(handles.j1,'String'));
-        num_i2=stra2num(get(handles.i2,'String'));
-        num_j2=stra2num(get(handles.j2,'String'));
-        [filename_new,idetect]=...
-           name_generator(FileBase_1,num_i1,num_j1,FileExt_1,NomType_1,1,num_i2,num_j2,SubDir_1);%create name with indices synchronised with the first file
-        indices=''; %default
-        if ~idetect
-            msgbox_uvmat('ERROR','second input file with indices corresponding to the first one does not exist')
-            return
-        end 
-    end
-end
-set(handles.NomType_1,'String',NomType_1);
-% set(handles.FileIndex_1,'UserData',NomType_1);
-
-% make visible and fill the second raw of edit boxes
-set(handles.RootPath_1,'Visible','on')
-set(handles.RootFile_1,'Visible','on')
-set(handles.SubDir_1,'Visible','on');
-set(handles.FileIndex_1,'Visible','on');
-set(handles.FileExt_1,'Visible','on');
-[FileName,RootPath,FileBase,FileIndices,FileExt,SubDir]=read_file_boxes(handles);
-if isequal(FileBase,FileBase_1)
-    set(handles.RootPath_1,'String','"')
-    set(handles.RootFile_1,'String','"');
-else
-    set(handles.RootPath_1,'String',RootPath_1)
-    set(handles.RootFile_1,'String',['/' RootFile_1]);
-end 
-if  isequal(SubDir_1,'')
-     set(handles.SubDir_1,'String','');
-     FileBaseSub_1=FileBase_1;
-else  
-    set(handles.SubDir_1,'String',['/' SubDir_1]);
-    FileBaseSub_1=fullfile(FileBase_1,SubDir_1);
-end
-indices=filename_new(length(FileBaseSub_1)+1:end);
-indices(end-length(FileExt_1)+1:end)=[]; %remove extension
-set(handles.FileIndex_1,'String',indices)
-set(handles.NomType_1,'String',NomType_1)
-% set(handles.FileIndex_1,'UserData',NomType_1)
-set(handles.FileExt_1,'String',FileExt_1);
-
-% % default choice of fields
-%set(handles.SubField,'Visible','on')
-set(handles.SubField,'Value',1)
-RootPath_1_Callback(hObject,eventdata,handles);  
+% set(handles.NomType_1,'String',NomType_1);
+% % set(handles.FileIndex_1,'UserData',NomType_1);
+% 
+% % make visible and fill the second raw of edit boxes
+% set(handles.RootPath_1,'Visible','on')
+% set(handles.RootFile_1,'Visible','on')
+% set(handles.SubDir_1,'Visible','on');
+% set(handles.FileIndex_1,'Visible','on');
+% set(handles.FileExt_1,'Visible','on');
+% %[FileName,RootPath,FileBase,FileIndices,FileExt,SubDir]=read_file_boxes(handles);
+% [RootPath,SubDir,RootFile,FileIndices,FileExt]=read_file_boxes(handles);
+% FileName=[fullfile(RootPath,SubDir,RootFile) FileIndices FileExt];
+% FileBase=fullfile(RootPath,RootFile);
+% if isequal(FileBase,FileBase_1)
+%     set(handles.RootPath_1,'String','"')
+%     set(handles.RootFile_1,'String','"');
+% else
+%     set(handles.RootPath_1,'String',RootPath_1)
+%     set(handles.RootFile_1,'String',['/' RootFile_1]);
+% end 
+% if  isequal(SubDir_1,'')
+%      set(handles.SubDir_1,'String','');
+%      FileBaseSub_1=FileBase_1;
+% else  
+%     set(handles.SubDir_1,'String',['/' SubDir_1]);
+%     FileBaseSub_1=fullfile(FileBase_1,SubDir_1);
+% end
+% indices=filename_new(length(FileBaseSub_1)+1:end);
+% indices(end-length(FileExt_1)+1:end)=[]; %remove extension
+% set(handles.FileIndex_1,'String',indices)
+% set(handles.NomType_1,'String',NomType_1)
+% % set(handles.FileIndex_1,'UserData',NomType_1)
+% set(handles.FileExt_1,'String',FileExt_1);
+% 
+% % % default choice of fields
+% %set(handles.SubField,'Visible','on')
+% set(handles.SubField,'Value',1)
+% RootPath_1_Callback(hObject,eventdata,handles);  
 
 %-----------------------------------------------------------------------
